Ubuntu

Samsung Series 900 Laptop brightness control issue (heavy flickering)

Reported by Pat McGowan on 2012-07-23
132
This bug affects 20 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Undecided
Unassigned
linux (Ubuntu)
High
Joseph Salisbury
Precise
High
Joseph Salisbury
Quantal
High
Joseph Salisbury

Bug Description

When the samsung-laptop module loads the backlight control starts to flicker. This can occur from automatic dimming, hotkeys or the applet.

The module just started loading due to a fix to bug 1012284 in 3.2.0-27.43
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu11
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: ALC269VB Analog [ALC269VB Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: pat 1581 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xc0700000 irq 50'
   Mixer name : 'Intel CougarPoint HDMI'
   Components : 'HDA:10ec0269,144dc098,00100100 HDA:80862805,80860101,00100000'
   Controls : 24
   Simple ctrls : 11
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=e17c3e9f-0df9-4a7a-b645-a914ee60b915
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111011)
MachineType: SAMSUNG ELECTRONICS CO., LTD. 90X3A
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-26-generic-pae root=UUID=938a96e5-704a-4af4-b445-1acda4e6d888 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-26.41-generic-pae 3.2.19
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-26-generic-pae N/A
 linux-backports-modules-3.2.0-26-generic-pae N/A
 linux-firmware 1.79
StagingDrivers: mei
Tags: precise staging
Uname: Linux 3.2.0-26-generic-pae i686
UpgradeStatus: Upgraded to precise on 2012-02-06 (168 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 05/20/2011
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: 05HL
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 90X3A
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: FAB1
dmi.chassis.asset.tag: Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvr05HL:bd05/20/2011:svnSAMSUNGELECTRONICSCO.,LTD.:pn90X3A:pvr0.1:rvnSAMSUNGELECTRONICSCO.,LTD.:rn90X3A:rvrFAB1:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvr0.1:
dmi.product.name: 90X3A
dmi.product.version: 0.1
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1028151

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

I can confirm this is present starting in 3.2.0-27.43. I've reverted back to 3.2.0-26.41 as a workaround.

The following line is present in dmesg with the newer kernel, but not when booting the older:
"samsung_laptop: enabled workaround for brightness stepping quirk"

I don't have access to an environment to further research root cause, unfortunately.

For anyone seeking a kludge to restore max brightness, only if downgrading the kernel isn't practical, you can do something like the following. Be aware that any brightness-changing events (Fn keys, screen dimming) will likely require doing this again.

[If you're on a different graphics chipset/driver, you'll have to substitute "intel_backlight" with the proper value. `ls /sys/class/backlight/` to see what's on your system. If you find more than one dir in there, try each until one has the desired effect.]

cat /sys/class/backlight/intel_backlight/max_brightness | sudo tee /sys/class/backlight/intel_backlight/brightness

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Incomplete

apport information

tags: added: apport-collected precise staging
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Pat McGowan, thank you for apport-collect'ing. Could you please provide the information following https://wiki.ubuntu.com/Kernel/Debugging/Backlight ? As well, if you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: needs-upstream-testing
Pat McGowan (pat-mcgowan) wrote :

The upstream version (as of 3.4) of the samsung_laptop driver contains a fix to allow Samsung systems with proper acpi control of the backlight to avoid the workarounds for older systems. Installing this module solves the problem.

In order to actually take advantage of the driver we need to fix the configuration of the keymap files and udev rules.

 /lib/udev/rules.d/95-keymap.rules has an entry for my laptop model:

ENV{DMI_VENDOR}=="[sS][aA][mM][sS][uU][nN][gG]*", ATTR{[dmi/id]product_name}=="*90X3A*", RUN+="keymap $name samsung-90x3a"

but the map file it references is missing:

# more /lib/udev/keymaps/samsung-90x3a
0x96 kbdillumup # Fn+F8 - maps the scancode to a udev event
0x97 kbdillumdown # Fn+F7 - maps the scancode to a udev event
0xD5 wlan # Fn+F12 - this doest not work
0xCE prog1 # performance mode
0x8D prog2 # battery life extender

The following file is present:
$ more /lib/udev/keymaps/force-release/samsung-90x3a
# list of scancodes (hex or decimal), optional comment
0xCE # Fn+F8 keyboard backlit up
0x8D # Fn+F7 keyboard backlit down
0x97 # Fn+F12 wifi on/off
0x96 # Fn+F1 performance mode (?)
0xD5 # Fn+F6 battery life extender

but we are missing this line in the 95-keymap.rules file to enable it:

ENV{DMI_VENDOR}=="[sS][aA][mM][sS][uU][nN][gG]*", ATTR{[dmi/id]product_name}=="*90X3A*", RUN+="keyboard-force-release.sh $devpath samsung-90x3a"

Fixing all of these results in keyboard backlight control finally working.

Pat McGowan (pat-mcgowan) wrote :
Joseph Salisbury (jsalisbury) wrote :

Hi Pat,

I'd like to see if a patch I submitted may be the cause for this regression. I'll post a test kernel shortly. It would be great if you can test the kernel I post.

Changed in linux (Ubuntu):
importance: Undecided → High
status: Incomplete → Confirmed
tags: added: kernel-da-key
tags: added: regression-update
removed: needs-upstream-testing
Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
Joseph Salisbury (jsalisbury) wrote :

Hi Pat,

I built a test kernel, which is available for download from:
http://people.canonical.com/~jsalisbury/lp1028151/

Can you test that kernel and report back if it has this bug or not?

Thanks in advance

Joseph Salisbury (jsalisbury) wrote :

I noticed that the Samsung Series 900 model is not listed in the whitelist in the samsung-laptop module. That would explain why this module is not loading. The patch I submitted does not check for individual product names.

If this is the cause for this bug, I will report upstream to see what the best option is.

Joseph Salisbury (jsalisbury) wrote :

s/is not loading/was not loading prior to my patch/

Michael Hood (michaelhood) wrote :

This original issue affected my laptop (NP-QX410; not a Series 900), although perhaps a different behavior.

Prior to 3.2.0-27.43, the samsung-laptop module has never loaded for me. I lived without rfkill, etc.

To get brightness controls working, I had been booting with 'acpi_backlight=vendor'. This left me with only an 'intel_backlight' symlink in /sys/class/backlight (-> ../../devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight/). When samsung-laptop started loading, it added an additional samsung link here and seemed to become the target for dimming and brightness operations.

With samsung-laptop loaded, adjusting the brightness (i.e. via Fn-key combinations) did not allow me to achieve the same brightness range that intel_backlight provided. I couldn't get more than ~30% of maximum brightness. Attempting to increase the brightness past this point just results in flickering.

Pat McGowan (pat-mcgowan) wrote :

@Joseph
The module is loading. The problem is that once it started loading it exposed an issue in the module itself which was managing the backlight control incorrectly. The upstream module I used has a patch for this. Please see comment #26

Michael Hood, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette . If you do file a new report, please feel free to subscribe me to it. Thank you for your understanding.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

Joseph Salisbury (jsalisbury) wrote :

Thanks for the update, Pat. Do you need to make the udev changes mentioned in comment #26 if you run the upstream 3.4 or newer kernel? If not, I'll do some research to find the upstream commit that fixes this.

Dear all

I think I am experiencing this bug on my Samsung N310.
It happens every so often at booting up, the luminosity OSD bubble appears and the luminosity changes by itself. During this, it is impossible to use the computer. One way to stop it is to play with the luminosity keyboard shortcuts.
I now sometimes experience this during normal use of the computer, not only at boot up.

I also noticed that often, I can just set the luminosity to its maximum, minimum and off (no intermediate levels available, it goes all the way up or all the way down automatically).

This only started maybe 3 weeks ago. At first I thought it was bug #945006 but this one looks more like it.

I think I'm on the generic kernel 3.2.0-29.46

Can I help in any way?

Stéphane Guillou, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette . If you do file a new report, please feel free to subscribe me to it. Thank you for your understanding.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

Here it is: Bug #1032005
Is this to make it easier to see if it is a duplicate? Or is this because you are already sure it isn't?

Bug #1032005 has been marked as duplicate.

Could someone change the title here, so it includes other cases like mine? It would make it easier for other people in the same case to join.

Joseph Salisbury (jsalisbury) wrote :

I'm reviewing the 3.4 commits for samsung_laptop now. If I don't see a fix for this that sticks out, would it be possible to have some folks test kernels for me? If so, I can perform a reverse kernel bisect to find the exact commit that fixes this bug.

Changed in linux (Ubuntu):
status: Confirmed → In Progress
Joseph Salisbury (jsalisbury) wrote :

Can folks affected by this bug please test the following two kernels and report back if either have this bug:

v3.3 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3-precise/
v3.4-rc1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-rc1-precise/

Thanks in advance

Joseph Salisbury (jsalisbury) wrote :

I believe I found the fix for this bug:
3be324a94df0c3f032178d04549dbfbf6cccb09a

This is a modified version of the patch I submitted for Precise in bug 1012284

I'll see if I can backport this to Precise and build a test kernel.

starfear (utdilya) wrote :

Notebook NP530U3B.

I temporary solved this:

cat /etc/modprobe.d/blacklist-samsung.conf

# Disable buggy modules for my notebook
blacklist samsung_laptop
blacklist samsung_backlight #if you have

I tried both kernels, but the 3.4-rc1 I got stuck on the login screen, so it doesn't work
and the kernel 3.3 is working fine! (the problem is solved) however, I can't use the wireless driver...

and about the cat /etc/modprobe.d/blacklist-samsung.conf
it says that it could not find the file

Joseph Salisbury (jsalisbury) wrote :

@Pat,

Can you test the v3.3[0] kernel to see if it fixes this bug for you as well?

Thanks in advance!

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3-precise/

Joseph Salisbury (jsalisbury) wrote :

@Pat,

Please ignore my request to test v3.3. As jwi pointed out in IRC, v3.3 does not have the relaxed dmi check, so samsung_laptop won't be loaded.

Joseph Salisbury (jsalisbury) wrote :

Looking to see if upstream commit: f34cd9ca932087 might help.

papukaija (papukaija) wrote :

This bug might be releated to bug 919773 (same issue but for NC10).

Joseph Salisbury (jsalisbury) wrote :

I built a test kernel, which is available for download from:
http://people.canonical.com/~jsalisbury/lp1028151/

Can folks affected by this issue test this kernel and report back if it has this bug or not?

This test kernel is built with the following commits:
a6df48943a408b493d1aa141791d614a529d484e
5dea7a2094d5e60fe8f8ec4277d22d7ad6fa8c26
f34cd9ca9320876e9c12764f052004628a03ba2d

The first two commits are pre-reqs to f34cd9c

Thanks in advance

Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
papukaija (papukaija) wrote :

Well done! Your test kernel fixes the flickering issue on my Samsung NC10.

dmesg | grep samsung
[ 21.242126] samsung_laptop: Backlight controlled by ACPI video driver

Looking at the above dmesg and the patch f34cd9c, it seems that the samsung_laptop module and the ACPI were both trying to control the backlight on my system...

Joseph Salisbury (jsalisbury) wrote :

@papukaija, Thanks for the feedback!

It would be great if other folks affected by this bug an test the kernel posted in comment #49

sis (igor-s-sokolov) wrote :

I have Samsung 900x3a and confirm that your test kernel fixes this flickering bug on my laptop.

Pat McGowan (pat-mcgowan) wrote :

@Joseph Also confirmed fixed in 3.2.0-29
I am going to continue running the dkms package in comment #27 as it includes working controls for the backlit keyboard from upstream.

summary: - Samsung Series 900 Laptop brightness control issue
+ Samsung Laptops brightness control issue (heavy flickering)

As of AUGUST 2012 and after 6 months, this is still a bug and has not been patched.

This means that Ubuntu 12.04 FAILS on the Samsung NC10, an extremely popular netbook which has millions of users.

If Ubuntu want non-technical users to switch to their operating system then show-stopping fatal bugs like this need to be patched.

summary: - Samsung Laptops brightness control issue (heavy flickering)
+ Samsung Series 900 Laptop brightness control issue (heavy flickering)
papukaija (papukaija) wrote :

@Kevin: This bug has a patch available upstream. The patched Ubuntu kernel is being tested, please follow the instructions from comment 49 to help us. Thanks in advance.

Michael Nagel (nailor) wrote :

Hi everyone. Ever since upgrading to Ubuntu 12.04 I had the issues listed in the original bug description (heavy flickering for prolonged time, eventually stopping at lowest brightness, whenever the brightness was changed automatically or manually).

I just installed
linux-image-3.2.0-29-generic_3.2.0-29.46~lp1028151v2_amd64.deb
from comment #49 above and ever since the problems are gone and I can use FN+F2 FN+F3 to change brighness. No other ill side effects / regressions are known. The Laptop is a Samsung 90X3A:

sudo dmidecode|grep -i "base board information" -A3
Base Board Information
 Manufacturer: SAMSUNG ELECTRONICS CO., LTD.
 Product Name: 90X3A
 Version: FAB1

Best Regards
Michael

PS: anything else I can help with?

Michael Hood (michaelhood) wrote :

Is there a reason this bug's summary was reverted to "Series 900"? It is not limited to the Series 900, as several commenters have confirmed.

Yes, could Christopher M. Penalver (penalvch) explain why the title change has been reverted? It has been proven in many comments that many other series are affected, and this title change was aimed at making it easier for other users affected by this bug to find it.

M. Nease (mlnease-hctc) wrote :

Hello,

I've had the identical problem (to Bug #945006 18 & 31) on several attempted installations of Ubuntu 12.04. Actually, no flickering but the wrong screen resolution until I change the refresh rate from 60 (incorrect) to 75 (correct). Then uncontrollable flickering. The wrong screen size I can live with but the flickering disables the machine (Dell Optiplex 745).
Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02)
video 20623 1 i915

I dual boot with Ubuntu 10.04 (where the graphics card works perfectly). The 12.04 file system is still intact. If anyone could advise me where I can change the refresh rate in 12.04 from 10.04, I'd be grateful for the workaround until a better solution is available.

My bug was tagged under this one (originally #1028723). I was asked to test the latest upstream kernel, but I am unsure of exactly what to do. I downloaded the i386 headers, common headers, and i386 image, ran sudo dpkg -i *.deb, and rebooted; but there was nothing on my GRUB loader and the computer started as usual. However, what was I supposed to do with the packaging.patch, changelog.patch, and configs.patch? I've asked for help on regular forums, but didn't receive a response. I am eager to test the kernel!

Again, I originally posted under Bug # 1028723, and was asked to test the latest v3.5 kernel, although the link http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc1-quantal/ was to the latest v3.6 kernel. Since installing the mainline build, my issue has not returned. I am eager to report a successful test, but I am going to hold off for a bit and just leave my samsung laptop on for a little while. If the bug has not returned tomorrow, I will update this another report.

Any idea on when this fix/patch/kernel update will become a part of a mainstream ubuntu update? This issue is super annoying, and I understand continuing to use the mainline test kernel can cause problems when updating. Is there a safe way for me to continue using this kernel while I await the official update?

Joseph Salisbury (jsalisbury) wrote :

We've decided to revert the patch submitted in bug 1012284 . To keep that patch and apply the commits mentioned in comment #49 runs the risk of introducing further regressions.

Upstream will be notified, so we can work on getting the proper fix there first.

I would just like to confirm that the latest upstream kernel has fixed the flickering/screen brightness issues on my laptop. I replaced the "needs-upstream-testing" tag with "kernel-fixed-upstream kernel-fixed-upstream-/lib/modules/3.6.0-030600rc1-generic"; but since my bug was considered a copy of this one, I wanted to be sure everyone received my report. Thanks.

Joseph Salisbury (jsalisbury) wrote :

I built a test kernel, which is available for download from(An amd64 kernel is available first, but a 32-bit kernel is building now):
http://people.canonical.com/~jsalisbury/lp1028151/

This kernel has the following commit reverted:
9a2e71ce177a1602a0502fbcbb3f11e4bae584e4

Can folks affected by this bug test this kernel and report back if it has the bug or not?

Thanks in advance

Joseph Salisbury (jsalisbury) wrote :

A 32-bit test kernel is now available. It would be helpful if this test kernel can be tested. Once confirmed it resolves this bug, I will submit the revert as an SRU.

The test kernels can be downloaded from:
http://people.canonical.com/~jsalisbury/lp1028151/

This kernel has the following commit reverted:
9a2e71ce177a1602a0502fbcbb3f11e4bae584e4

papukaija (papukaija) wrote :

Unfortunately that kernel doesn't fix this bug, the flickering started nearly immediately after desktop load. The dmesg doesn't say anything about the backlight control anymore:

[ 22.906776] samsung_laptop: found laptop model 'NC10'

I guess that your test kernel doesn't include the commit f34cd9ca9320876e9c12764f052004628a03ba2d from comment 49?

Joseph Salisbury (jsalisbury) wrote :

@papukaija,

The latest test kernel I posted has the following commit reverted:
9a2e71ce177a1602a0502fbcbb3f11e4bae584e4

That should prevent the samsung_laptop from getting loaded, unless your specific model name is defined in samsung-laptop.c. Can you post what model of laptop you have? It may be that your system is in the white-list, so the samesung_laptop module will still load.

@Pat, would it be possible for you to test the kernel mentioned in #66? I'd like to confirm the samsun_laptop module does not load for you.

papukaija (papukaija) wrote :

@Joseph: My laptop is a Samsung NC10 (by apport: "MachineType: SAMSUNG ELECTRONICS CO., LTD. NC10"). My laptop didn't flicker this morning for my surprise. I did some further reboots, 10 in total and the screen

- flickered 4 times, dmesg shows:
                  [ 23.579370] samsung_laptop: found laptop model 'NC10'

- didn't flicker 6 times, dmesg shows:
                  [ 23.579370] samsung_laptop: found laptop model 'NC10'
                  [ 23.593574] samsung_laptop: enabled workaround for brightness stepping quirk

Would it be possible to remove NC10 from the white-list (if it's there) ?

Joseph Salisbury (jsalisbury) wrote :

@papukaija, Thanks for the update. It looks like this is a key message:
"samsung_laptop: enabled workaround for brightness stepping"

I'll investigate further.

Joseph Salisbury (jsalisbury) wrote :

@papukaija,

Your model has always been in the whitelist for the samsung_laptop driver:
DMI_MATCH(DMI_SYS_VENDOR,
              "SAMSUNG ELECTRONICS CO., LTD."),
DMI_MATCH(DMI_PRODUCT_NAME, "NC10"),
DMI_MATCH(DMI_BOARD_NAME, "NC10"),

That would indicate that you've had this flickering bug prior to commit 9a2e71ce

If you boot the 3.2.0-26.41 kernel, do you still have the flickering issue? If so, it's best to open a new bug, so we can address it separately.

Joseph Salisbury (jsalisbury) wrote :

Can folks affected by this bug as a regression in 3.2.0-27.43 test the latest test kernel?

The test kernels can be downloaded from:
http://people.canonical.com/~jsalisbury/lp1028151/

This kernel has the following commit reverted:
9a2e71ce177a1602a0502fbcbb3f11e4bae584e4

Vytis Dedonis (vytis-dedonis) wrote :

@jsalisbury #72

Samsung laptop NP300E5A-S07EE with double boot via wubi: Ubuntu 12.04 (32) & W7 (64)
I was getting flickering when I was trying to reduce screen brightness from max value (initial after installation) either via System Settings/Brightness and Lock, either via functional keys Fn+F2/F3. Either way I was unable to reduce brightness value below than ~80%.
If brightness is left at max value, then I was able to use laptop until suspend. After returning from suspend flickering starts right away and indicator showed not max value that was set but ~80% brightness value.

After kernel with commit reverted 9a2e71ce177a1602a0502fbcbb3f11e4bae584e4 installation, flickering effect not repeated so far, however:
* with Fn+F2/F3 keys I still can't reduce brightness lower than ~80%;
* I can reduce brightness trough Settings/Brightness and Lock but:
            * if I do anything with Fn+F2/F3 it goes back to max value;
            * if I again go to Settings/Brightness and Lock it switches to max brightness value right away;
            * if you return from dim screen it switches to max brightness value right away;
            * if I return from suspend it switches to max brightness value right away.

Hope this information is useful.

papukaija (papukaija) wrote :

@Joseph, Can you clarify where I should find the 3.2.0-26.41 kernel as the latest SRU is at 3.2.0-29.46? I've had this bug since Oneiric. I think it's best to unduplicate my flickering bug from this bug.

@Joseph,

I downloaded and have been testing the kernel provided in the link http://people.canonical.com/~jsalisbury/lp1028151/.

I would like to report that the brightness screen does not pop up, and there is no flickering. However, my screen (and system) still freeze. I am going to spend a little more time with that kernel, bc my particular issue only affects my computer after it has been running for a half hour to an hour.

That said, as I noted in comment #64, the 3.6 version kernel completely addressed my issue. Please respond if you would like me to continue testing.

Joseph Salisbury (jsalisbury) wrote :

@Pat,

If possible, could you test the kernel posted in comment #72? I'd like to confirm the revert fixes this bug.

Thanks in advance.

Pat McGowan (pat-mcgowan) wrote :

Confirmed that the kernel in comment #72 resolves the issue for me

papukaija (papukaija) wrote :

I deleted the upstream bug watch as it's written for bug 919773 which has been unduplicated from this bug.

Changed in linux:
importance: Medium → Undecided
status: Confirmed → New
Tim Gardner (timg-tpi) on 2012-08-28
Changed in linux (Ubuntu Precise):
assignee: nobody → Joseph Salisbury (jsalisbury)
status: New → Fix Committed
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Released
Changed in linux (Ubuntu Precise):
importance: Undecided → High
Tim Edwards (tkedwards) wrote :

Can you tell me what kernel version the fix is in? I'm currently on 3.2.0-29, will this come through in an update to 3.2.0-30?

Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Precise in -proposed solves the problem (3.2.0-31.50). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Tim Edwards (tkedwards) wrote :

Great work on the fix! I can confirm it works for me on a Samsung NP530U3C Ultrabook.

The kernel is the one from proposed:
3.2.0-31-generic #50-Ubuntu SMP Fri Sep 7 16:16:45 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

tim@t:~$ dpkg -l linux
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Description
+++-==============-==============-============================================
ii linux 3.2.0.31.34 Generic complete Linux kernel.

Please push this fix out with the next update!

tags: added: verification-done-precise
removed: verification-needed-precise
Pat McGowan (pat-mcgowan) wrote :

also verified 3.2.0-31.50 from proposed

Did not fix my Samsung issue

Launchpad Janitor (janitor) wrote :
Download full text (5.5 KiB)

This bug was fixed in the package linux - 3.2.0-31.50

---------------
linux (3.2.0-31.50) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1047242

  [ Dave Airlie ]

  * SAUCE: drm/vmwgfx: add MODULE_DEVICE_TABLE so vmwgfx loads at boot
    - LP: #1039157

  [ Kamal Mostafa ]

  * SAUCE: input: Cypress PS/2 Trackpad move PSMOUSE_CYPRESS enum
    - LP: #1041594

linux (3.2.0-31.49) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1046216

  [ Cypress Semiconductor Corporation ]

  * SAUCE: input: Cypress PS/2 Trackpad mouse driver
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad link driver into psmouse-base
    - LP: #978807

  [ Ike Panhc ]

  * [Config] Enable CONFIG_DEVPTS_MULTIPLE_INSTANCES for highbank
    - LP: #1038259

  [ Kamal Mostafa ]

  * SAUCE: input: Cypress PS/2 Trackpad code style cleanup
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad eliminate dead code
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad fix no-config stubs
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad set default debug_level=0
    - LP: #978807

  [ Stefan Bader ]

  * Revert "SAUCE: fix pv-ops for legacy Xen"
    - LP: #1044550
  * SAUCE: Force xsave off on older Xen hypervisors
    - LP: #1044550

  [ Tim Gardner ]

  * [Config] Add smsc{79}5xx to nic-usb-modules
    - LP: #1041397

  [ Upstream Kernel Changes ]

  * Revert "samsung-laptop: make the dmi check less strict"
    - LP: #1028151
  * rds: set correct msg_namelen
    - LP: #1031112
    - CVE-2012-3430
  * bnx2: Fix bug in bnx2_free_tx_skbs().
    - LP: #1039087
  * sch_sfb: Fix missing NULL check
    - LP: #1039087
  * sctp: Fix list corruption resulting from freeing an association on a
    list
    - LP: #1039087
  * caif: Fix access to freed pernet memory
    - LP: #1039087
  * cipso: don't follow a NULL pointer when setsockopt() is called
    - LP: #1039087
  * caif: fix NULL pointer check
    - LP: #1039087
  * wanmain: comparing array with NULL
    - LP: #1039087
  * tcp: Add TCP_USER_TIMEOUT negative value check
    - LP: #1039087
  * USB: kaweth.c: use GFP_ATOMIC under spin_lock
    - LP: #1039087
  * net: fix rtnetlink IFF_PROMISC and IFF_ALLMULTI handling
    - LP: #1039087
  * tcp: perform DMA to userspace only if there is a task waiting for it
    - LP: #1039087
  * net/tun: fix ioctl() based info leaks
    - LP: #1039087
  * e1000: add dropped DMA receive enable back in for WoL
    - LP: #1039087
  * rtlwifi: rtl8192cu: Change buffer allocation for synchronous reads
    - LP: #1039087
  * hfsplus: fix overflow in sector calculations in hfsplus_submit_bio
    - LP: #1039087
  * drm/i915: fixup seqno allocation logic for lazy_request
    - LP: #1039087
  * mac80211: cancel mesh path timer
    - LP: #1039087
  * ath9k: Add PID/VID support for AR1111
    - LP: #1039087
  * ARM: mxs: Remove MMAP_MIN_ADDR setting from mxs_defconfig
    - LP: #1039087
  * ALSA: hda - add dock support for Thinkpad T430s
    - LP: #1039087
  * cfg80211: process pending events when unregistering net device
    - LP: #1039087
  * rt61pci: fix NULL pointer dereference in config_lna_gain
    - LP: #...

Read more...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

papukaija (papukaija) wrote :

The upstream fix went to v. 3.2.28.

 * Revert "samsung-laptop: make the dmi check less strict"

Changed in linux:
status: New → Fix Released

Look, im not an advanced user. I am a fish out of water doing my best to learn. Where do I go? How do i get this fix??

Joseph Salisbury (jsalisbury) wrote :

Hi All,

There is a new patch upstream that is being considered in upstream stable v3.2.y. I built a test kernel with these new patches. Would it be possible for folks that were affected by this bug to test two kernels?

The first kernel is v3.2.30, which should exhibit this bug:
v3.2.30: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.2.30-precise/

The second kernel is a v3.2.30 kernel with new upstream patches applied. This kernel can be downloaded from:
http://people.canonical.com/~jsalisbury/lp1028151/

Any help testing would be greatly appreciated!

Joseph Salisbury (jsalisbury) wrote :

@Alexander, there is a fix in the latest release of Precise(Ubuntu 12.04). Have you applied all of the latest updates?

Tim Edwards (tkedwards) wrote :

@Alexander: Ubuntu should automatically prompt you to install the update once it's pushed out, just like normal. If this doesn't happen for some reason run Update Manager from the menu.

Ok, thanks. But what kernel should i be running? I had to use a test kernel b/c that was the only way to get my laptop to work. So i installed 3.2.28... is that correct? I also have 3.2.30 on my grub

jbowen7 (jbowen7) wrote :

I confirm, 3.2..0-31 resolved the problem. Thank you..

I've seen some emails regarding a confusion on how to receive the fix, for those:
copy this code into terminal:

sudo apt-get update && sudo apt-get install linux-image-3.2.0-31-generic

Joseph Salisbury (jsalisbury) wrote :

It would also be helpful if folks affected by this bug can run the tests requested in comment #88. That will allow us to get a proper fix in upstream linux-stable, instead of reverting a prior commit.

dolfyn (hwkrus) wrote :

Samsung 9 900X3A Ubuntu Air
3.2.0-31-generic #50-Ubuntu SMP Fri Sep 7 16:16:45 UTC 2012 x86_64

Fn+F1 :performance mode (?) (nope)
Fn+F2: dim screen brightness OK (no flicker)
Fn+F3: screen brightness up OK
Fn+F4: switch video mode (?)
Fn+F5: switch touchpad on/off OK
Fn+F6: battery life extender (nope)
Fn+F7 keyboard backlit down (nope, shows neutral icon only)
Fn+F8 keyboard backlit up (nope, shows neutral icon only)
Fn+F9 mute OK
Fn+F10 volume down OK
Fn+F12 volume UP OK
Fn+F12 wifi on/off (nope)

Almost one year old and still happy with it (battery life might be a tad longer though)

Joseph Salisbury (jsalisbury) wrote :

It would also be helpful if folks affected by this bug can run the tests requested in comment #88. That will allow us to get a proper fix in upstream linux-stable, instead of reverting a prior commit.

jbowen7 (jbowen7) wrote :

Test Results (Test proposed in comment #88 )

1) First Kernel -- confirmed: bug EXISTS
(linux-image-3.2.30-030230-generic_3.2.30-030230.201209191335_amd64.deb )

2) Second Kernel with upstream patches applied -- confirmed: bug RESOLVED
(linux-image-3.2.30-030230-generic_3.2.30-030230.201209211800_amd64.deb)

Joseph Salisbury (jsalisbury) wrote :

@jbowen7

Thanks for testing and the feedback.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.